EDIT - feature request #7421

Implement verbatim date for references in TaxEditor
05/16/2018 12:59 AM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal

Description

Related issues:
Related to EDIT - feature request #7423: refactore the time period element New
Follows EDIT - feature request #6752: Add verbatimDate Closed

Associated revisions

Revision ae4ea023 - 05/15/2018 02:19 PM - Katja Luther

add verbatim date to editor

Revision 68d5a162 - 05/15/2018 02:52 PM - Katja Luther

further implementation for verbatimdate

Revision 14c03fc1 - 05/15/2018 03:03 PM - Katja Luther

minor for verbatimDate

Revision 943d4d5e - 05/16/2018 01:04 AM - Andreas Miiller

ref #7421 refactor verbatim date sections and elements

Revision 7f4db90c - 05/16/2018 01:34 AM - Andreas Miiller

ref #7421 continue refactor verbatim date sections and elements

Revision 291¢69d6 - 05/18/2018 10:55 AM - Andreas Miiller

ref #7421 merged DateDetailSection and VerbatimDateDetailSection and moved verbatim field up

History

#1 - 05/16/2018 01:00 AM - Andreas Miiller
- Follows feature request #6752: Add verbatimDate added

#2 - 05/17/2018 10:21 AM - Andreas Miiller
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#3 - 05/17/2018 09:26 PM - Andreas Miiller
- % Done changed from 0 to 90

we may want to move the field up, below end date

#4 - 05/18/2018 10:57 AM - Andreas Miiller

In 291c69d6 | merged DateDetailsSection and VerbatimDetailsSection and replaced distinction by boolean value "includesVerbatim".

Also moved up verbatim date field.

#5 - 05/18/2018 11:31 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 90 to 100

Seems to work as expected. Maybe in future we can also unify VerbatimTimePeriodElement and TimePeriodElement. But this can be done during
refactoring of the TimePeriodElement (#7423)

#6 - 05/18/2018 12:33 PM - Andreas Miiller

- Related to feature request #7423: refactore the time period element added
